From d3ffe500c934573115e313ac01b8fab5cb4d2e9f Mon Sep 17 00:00:00 2001
From: Stuart Henderson <stu@spacehopper.org>
Date: Wed, 27 Mar 2019 23:29:31 +0000
Subject: [PATCH] fix TLS with LibreSSL, it doesn't have :@SECLEVEL=0

---
 conserver/cutil.h | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/conserver/cutil.h b/conserver/cutil.h
index d21abc5..db4df7f 100644
--- a/conserver/cutil.h
+++ b/conserver/cutil.h
@@ -12,10 +12,12 @@
 # include <openssl/err.h>
 # if OPENSSL_VERSION_NUMBER < 0x10100000L
 #  define TLS_method SSLv23_method
+# endif/* OPENSSL_VERSION_NUMBER < 0x10100000L */
+# if (OPENSSL_VERSION_NUMBER < 0x10100000L) || defined(LIBRESSL_VERSION_NUMBER)
 #  define CIPHER_SEC0
 # else
 #  define CIPHER_SEC0 ":@SECLEVEL=0"
-# endif/* OPENSSL_VERSION_NUMBER < 0x10100000L */
+# endif/* OPENSSL_VERSION_NUMBER < 0x10100000L || defined(LIBRESSL_VERSION_NUMBER) */
 #endif
 #if HAVE_GSSAPI
 # include <gssapi/gssapi.h>
